Subject: Re: [05/27] macintosh: therm_windtunnel: Export I2C module alias information

From: Javier Martinez Canillas <[email-masked]>
Date: Tue, 18 Aug 2015 12:35:11 +0200

Hello Michael,

On 08/18/2015 12:24 PM, Michael Ellerman wrote:
> On Thu, 2015-30-07 at 16:18:30 UTC, Javier Martinez Canillas wrote:
>> The I2C core always reports the MODALIAS uevent as "i2c:<client name"
>> regardless if the driver was matched using the I2C id_table or the
>> of_match_table. So the driver needs to export the I2C table and this
>> be built into the module or udev won't have the necessary information
>> to auto load the correct module when the device is added.
>>
>> Signed-off-by: Javier Martinez Canillas <[email-masked]>
>> ---
>>
>>  drivers/macintosh/therm_windtunnel.c | 1 +
>>  1 file changed, 1 insertion(+)
> 
> Who are you expecting to merge this?
> 

I was expecting Benjamin Herrenschmidt since he is listed in MAINTAINERS
for drivers/macintosh. I cc'ed him in the patch but now in your answer I
don't see him in the cc list, strange.

But I'll be happy to re-post if there is another person who is handling
the patches for this driver now.

BTW there is another patch [0] for the same driver to export the OF id
table information, that was not picked either.

> cheers

[0]: https://lkml.org/lkml/2015/7/30/503

Best regards,
-- 
Javier Martinez Canillas
Open Source Group
Samsung Research America